List BalanceChargeSchedule
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/balances/{balanceId}/balancechargeschedules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.m3ter.com/organizations/{orgId}/balances/{balanceId}/balancechargeschedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/balances/{balanceId}/balancechargeschedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"chargeDescription": "<string>",
"version": 123,
"customFields": {},
"balanceId": "<string>",
"name": "<string>",
"code": "<string>",
"amount": 123,
"units": 123,
"unitPrice": 123,
"currency": "<string>",
"servicePeriodStartDate": "2023-11-07T05:31:56Z",
"servicePeriodEndDate": "2023-11-07T05:31:56Z",
"billEpoch": "2023-12-25",
"billFrequency": "<unknown>",
"billFrequencyInterval": 123,
"billInAdvance": true,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"nextRun": "2023-11-07T05:31:56Z",
"previousRun": "2023-11-07T05:31:56Z"
}
],
"nextToken": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}List BalanceChargeSchedule
Retrieve a list of BalanceChargeSchedule entities
GET
/
organizations
/
{orgId}
/
balances
/
{balanceId}
/
balancechargeschedules
List BalanceChargeSchedule
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
UUID of the balance
Query Parameters
Number of BalanceChargeSchedules to retrieve per page
Required range:
1 <= x <= 200nextToken for multi page retrievals
Maximum array length:
200⌘I